<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_13</title>
</head>
<body>
    <h1>Ejercicio 13</h1>
    <script>
    /*13) Programa una función que determine si un número es par o impar, pe. 
    miFuncion(29) devolverá Impar.*/

    const numParImpar = (num = undefined) => {

        if (num === undefined) return console.warn("No se ingreso un numero");
        if (typeof num !== "number") 
           return console.warn(`El valor ingresado: ${num} no es un numero`);

        return ( (num % 2) === 0)
           ? console.log(`El Numero ${num} es Par`)
           : console.log(`El Numero ${num} es Impar`);        
    }

    numParImpar(29);
    numParImpar(28);
    numParImpar();
    numParImpar(0);



    </script>
    
</body>
</html>